### Type parameters

### Hierarchy

- OGCOptions

## Index

### Properties

- activeDimensions
- attributes
- copyable
- dimensions
- dimensionsConfig
- dimensionsFiltersConfig
- filterCondition
- filterRules
- filtrable
- gmfLayer
- id
- identifierAttribute
- inRange
- maxResolution
- minResolution
- name
- ogcAttributes
- ogcImageType
- ogcServerType
- ogcType
- queryIconPosition
- snappable
- snappingToEdges
- snappingToVertice
- snappingTolerance
- timeAttributeName
- timeLowerValue
- timeProperty
- timeUpperValue
- visible
- wfsFeatureNS
- wfsFeaturePrefix
- wfsLayers
- wfsOutputFormat
- wfsUrl
- wmsInfoFormat
- wmsIsSingleTile
- wmsLayers
- wmsUrl
- wmtsLayer
- wmtsUrl

## Properties

### activeDimensions

activeDimensions: Object

- Defined in contribs/gmf/src/datasource/OGC.js:36

The dimensions that are currently active on the data source.

### attributes

attributes: Attribute[]

- Defined in contribs/gmf/src/datasource/OGC.js:91

(DataSourceOptions)

### copyable

copyable: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:38

Whether the geometry from this data source can be copied to other data sources or not. Defaults to `false`.

### dimensions

dimensions: Object

- Defined in contribs/gmf/src/datasource/OGC.js:40

A reference to the dimensions.

### dimensionsConfig

dimensionsConfig: Object

- Defined in contribs/gmf/src/datasource/OGC.js:41

The dimensions configuration, which determines those supported by this data source and whether they should use a static value or the one defined in the dimensions.

### dimensionsFiltersConfig

dimensionsFiltersConfig: Object

- Defined in contribs/gmf/src/datasource/OGC.js:92

(DataSourceOptions)

### filterCondition

filterCondition: string

- Defined in contribs/gmf/src/datasource/OGC.js:44

The filter condition to apply to the filter rules (if any). Defaults to `ngeo.filter.Condition.AND`.

### filterRules

filterRules: default[]

- Defined in contribs/gmf/src/datasource/OGC.js:46

A list of filter rules to apply to this data source using the filter condition.

### filtrable

filtrable: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:48

Whether the data source is filtrable or not.

### gmfLayer

gmfLayer: any

- Defined in contribs/gmf/src/datasource/OGC.js:28

A reference to the GMF layer node that was used to create the data source. It may contains additional information, such as metadata, about the data source.

===

TODO - inherit typedef properly once TypeScript supports it Extends (ngeo/datasource/OGC.js).OGCOptions

### id

id: number

- Defined in contribs/gmf/src/datasource/OGC.js:94

(DataSourceOptions)

### identifierAttribute

identifierAttribute: string

- Defined in contribs/gmf/src/datasource/OGC.js:95

(DataSourceOptions)

### inRange

inRange: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:96

(DataSourceOptions)

### maxResolution

maxResolution: number

- Defined in contribs/gmf/src/datasource/OGC.js:98

(DataSourceOptions)

### minResolution

minResolution: number

- Defined in contribs/gmf/src/datasource/OGC.js:97

(DataSourceOptions)

### name

name: string

- Defined in contribs/gmf/src/datasource/OGC.js:99

(DataSourceOptions)

### ogcAttributes

ogcAttributes: Object

- Defined in contribs/gmf/src/datasource/OGC.js:57

The attributes of the OGC server.

### ogcImageType

ogcImageType: string

- Defined in contribs/gmf/src/datasource/OGC.js:49

The type of images to fetch by queries by the (WMS) or (WMTS).

### ogcServerType

ogcServerType: string

- Defined in contribs/gmf/src/datasource/OGC.js:55

The type of OGC server.

### ogcType

ogcType: string

- Defined in contribs/gmf/src/datasource/OGC.js:56

The type data source. Can be: 'WMS' or 'WMTS'.

### queryIconPosition

queryIconPosition: number[]

- Defined in contribs/gmf/src/datasource/OGC.js:59

values to define the shape (bbox) to use to query the layer. The values are used like a padding in css with 1, 2, 3 or 4 comma separated values: all / top-bottom, left-right / top, right-left, bottom / top, right, bottom, left.

### snappable

snappable: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:62

Whether the geometry from this data source can be used to snap the geometry of features from other data sources that are being edited. Defaults to `false`.

### snappingToEdges

snappingToEdges: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:64

Determines whether external features can be snapped to the edges of features from this data source or not. Defaults to `true`. Requires `snappable` to be set.

### snappingToVertice

snappingToVertice: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:66

Determines whether external features can be snapped to the vertice of features from this data source or not. Defaults to `true`. Requires `snappable` to be set.

### snappingTolerance

snappingTolerance: number

- Defined in contribs/gmf/src/datasource/OGC.js:68

The tolerance in pixels the snapping should occur.

### timeAttributeName

timeAttributeName: string

- Defined in contribs/gmf/src/datasource/OGC.js:69

The name of the time attribute.

### timeLowerValue

timeLowerValue: number

- Defined in contribs/gmf/src/datasource/OGC.js:70

The time lower value, which can be combined with the time upper value to determine a range.

### timeProperty

timeProperty: TimeProperty

- Defined in contribs/gmf/src/datasource/OGC.js:72

The time property for the data source. Used to apply time filters.

### timeUpperValue

timeUpperValue: number

- Defined in contribs/gmf/src/datasource/OGC.js:74

The time upper value, which can be combined with the time lower value to determine a range.

### visible

visible: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:100

(DataSourceOptions)

### wfsFeatureNS

wfsFeatureNS: string

- Defined in contribs/gmf/src/datasource/OGC.js:76

The feature namespace to use with WFS requests.

### wfsFeaturePrefix

wfsFeaturePrefix: string

- Defined in contribs/gmf/src/datasource/OGC.js:77

The feature prefix to use with WFS requests.

### wfsLayers

wfsLayers: WFSLayer[]

- Defined in contribs/gmf/src/datasource/OGC.js:52

A list of layer definitions that are used by WFS queries. These are not used by the (WMTS) queries (the wmtsLayers is used by WMTS queries).

### wfsOutputFormat

wfsOutputFormat: string

- Defined in contribs/gmf/src/datasource/OGC.js:78

The OutputFormat to use with WFS requests.

### wfsUrl

wfsUrl: string

- Defined in contribs/gmf/src/datasource/OGC.js:79

The URL to use for (WFS) requests.

### wmsInfoFormat

wmsInfoFormat: string

- Defined in contribs/gmf/src/datasource/OGC.js:80

The InfoFormat to use with WMS requests.

### wmsIsSingleTile

wmsIsSingleTile: boolean

- Defined in contribs/gmf/src/datasource/OGC.js:81

Whether the (WMS) images returned by this data source should be single tiles or not. Defaults to `false`

### wmsLayers

wmsLayers: WMSLayer[]

- Defined in contribs/gmf/src/datasource/OGC.js:50

A list of layer definitions that are used by WMS queries. These are not used by the (WMTS) queries (the wmtsLayers is used by WMTS queries).

### wmsUrl

wmsUrl: string

- Defined in contribs/gmf/src/datasource/OGC.js:83

The URL to use for (WMS) requests.

### wmtsLayer

wmtsLayer: string

- Defined in contribs/gmf/src/datasource/OGC.js:84

The layer name to use for the (WMTS) requests.

### wmtsUrl

wmtsUrl: string

- Defined in contribs/gmf/src/datasource/OGC.js:85

The URL to use for (WMTS) requests.

===

TODO - inherit typedef properly once TypeScript supports it Extends (ngeo/datasource/OGC.js).DataSourceOptions

Generated using TypeDoc